# Run tests in check section
%bcond_without check
%global debug_package %{nil}

%global goipath         golang.org/x/sync
%global forgeurl        https://github.com/golang/sync
%global commit          886fb9371eb4b47af10bff9c8025a8c9e1554b92

%gometa

%global common_description %{expand:
Go concurrency primitives.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

Name:    %{goname}
Version: 0
Release: %mkrel 3
Summary: Go concurrency primitives
Group:   Development/Other
License: BSD
URL:     %{gourl}
Source:  %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Mon Nov 14 2022 guillomovitch <guillomovitch> 0-3.mga9
+ Revision: 1907312
- new git snapshot

* Mon Mar 21 2022 umeabot <umeabot> 0-2.mga9
+ Revision: 1815106
- Mageia 9 Mass Rebuild

* Sat Oct 30 2021 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1753346
- new git snapshot

* Sat Aug 29 2020 guillomovitch <guillomovitch> 0-0.6.mga8
+ Revision: 1619581
- new snapshot

* Thu May 07 2020 joequant <joequant> 0-0.5.mga8
+ Revision: 1581448
- bump version
- fix spec

* Tue Nov 20 2018 pterjan <pterjan> 0-0.4.20181120gitfd80eb9.20181120gitfd80eb9.mga7
+ Revision: 1332518
- imported package golang-x-sync


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.gitfd80eb9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20180316gitfd80eb9
- Update with the new Go packaging

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20171101gitfd80eb9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20171101gitfd80eb9
- Upstream GIT revision fd80eb9

* Mon Jul 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170517gitf52d181
- First package for Fedora

